#define alphaversion Beta8
#define alphatag    .%{alphaversion}

%define archivename Argyll_V%{version}%{?alphaversion}_src.zip

Name:    argyllcms
Version: 1.0.4
Release: 3%{?alphatag}%{?dist}
Summary: ICC compatible color management system

Group:   User Interface/X
License: GPLv3 and MIT
URL:     http://www.%{name}.com/

Source0: %{url}%{archivename}
# Many thanks to Alastair M. Robinson!
Patch1:  http://www.blackfiveservices.co.uk/Argyll_V1.0.1_autotools.patch.gz
Patch2:  %{name}-1.0.3-remove-libusb-fork-check.patch
# Patch applied for legal reasons
Patch4:  %{name}-1.0.2-legal.patch
#Patch5: argyllcms-CVE-2009-0583,0584.patch
#Patch6: argyllcms-CVE-2009-0792.patch
#Patch7: argyllcms-1.0.3-autotools.patch

BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: libtiff-devel, libusb-devel
BuildRequires: libX11-devel, libXext-devel, libXxf86vm-devel, libXinerama-devel
BuildRequires: libXScrnSaver-devel, libXrandr-devel

Requires: udev, PolicyKit

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.


%package doc
Summary: Argyll CMS documentation
Group:   User Interface/X
# Does not really make sense without Argyll CMS itself
Requires: %{name} = %{version}-%{release}

%description doc
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

This package contains the Argyll color management system documentation.


%prep
%setup -q -n Argyll_V%{version}
# Autotools support
%patch1 -p1 -b .auto
# Use the system libusb. If there is a ***REPORTED*** problem the distro will fix it
%patch2 -p1 -b .sysusb
# Legal patch required
%patch4 -p1 -b .legal
#%patch5 -p0
#%patch6 -p0
#%patch7 -p0

# Salvage policy files
mv libusb/19-color.fdi .
mv libusb/color-device-file.policy .
mv libusb/55-Argyll.rules .

# Remove useless bundled libs to make sure we don't accidentally include them
rm -fr tiff libusb libusbw

chmod u+x configure

%build
%configure
make

#%check
#make check

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Do some device permission magic
install -d -m 0755 %{buildroot}%{_datadir}/hal/fdi/policy/10osvendor/
install -p -m 0644 19-color.fdi \
        %{buildroot}%{_datadir}/hal/fdi/policy/10osvendor/

install -d -m 0755 %{buildroot}%{_datadir}/PolicyKit/policy/
install -p -m 0644 color-device-file.policy \
        %{buildroot}%{_datadir}/PolicyKit/policy/

install -d -m 0755 %{buildroot}%{_datadir}/PolicyKit/policy/
install -p -m 0644 color-device-file.policy \
        %{buildroot}%{_datadir}/PolicyKit/policy/

install -d -m 0755 %{buildroot}/lib/udev/rules.d/
install -p -m 0644 55-Argyll.rules \
        %{buildroot}/lib/udev/rules.d/

%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc *.txt

%attr(0755,root,root) %{_bindir}/*
%{_datadir}/color/argyll
%{_datadir}/hal/fdi/policy/10osvendor/19-color.fdi
%{_datadir}/PolicyKit/policy/color-device-file.policy
/lib/udev/rules.d/55-Argyll.rules

%exclude %{_datadir}/doc

%files doc
%defattr(0644,root,root,0755)
%doc doc/*.html doc/*.jpg doc/*.txt


%changelog
* Fri Oct 30 2009 Richard Hughes <rhughes@redhat.com> - 1.0.4-3
- Install the udev rules file so users can get the correct device
  permissions on F12 and above which does not use HAL policy files.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Jon Ciesla <limb@jcomserv.net> - 1.0.4-1
- New upstream, incorporating ICC fixes.

* Thu Apr 16 2009 Jon Ciesla <limb@jcomserv.net> - 1.0.3-5
- Actually *apply* previous patch.
- Autotools patch from debian to allow for make check.

* Wed Apr 08 2009 Jon Ciesla <limb@jcomserv.net> - 1.0.3-4
- Patch for ICC library CVE-2009-0792.

* Mon Mar 23 2009 Jon Ciesla <limb@jcomserv.net> - 1.0.3-3
- Patch for ICC library CVE-2009-{0583, 0584} by Tim Waugh.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 3 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.3-1
⌨ Bugfix release

* Mon Sep 1 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.2-1
ᾢ Bugfix release

* Sun Jul 27 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.0.1-1
☻ Lots of workarounds dropped — Argyll continues progressing towards “normal
  package” state
☺ No more jam hell ☡, autotooling patch by Alastair M. Robinson ♥♥♥
♿ New workaround added for private libusb check ⚔ We build againt system
  libusb, and will fix ⚕ any problem people care to report
⁜ Re-applied some patches still not merged upstream, including the legal ⚖ one
⚙ It builds, what can go wrong⁉
⁂ Changed Huey policy file. Huey users, please test

* Wed Mar 26 2008 Tom "spot" Callaway <tcallawa@redhat.com>
- patch applied for legal reasons

* Thu Feb 8 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.70-0.8.Beta9
✓ Another code fix (Stefan Brüns)
- 0.70-0.8.Beta8
✓ update to Stefan Brüns' latest safe-printf patch (bz421921#c18)

* Thu Feb 7 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.70-0.7.Beta8
  Finally got around packaging beta8, I suck
✓ Fedora patches merged upstream, dropped from rpm
✓ Huey handling seems sanitized (needs testing by Huey users)
⚖ Upstream relicensed icc and cgats library to plain MIT license (Thanks!)

* Thu Dec 14 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.70-0.6.Beta7
☹ fix udev typo
- 0.70-0.5.Beta7
⚖ Remove files that may be GPLv2-only according to upstream

* Thu Dec 13 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.70-0.4.Beta7
✓ move to modern PolicyKit world (David Zeuthen, Frédéric Crozat, me)

* Wed Dec 12 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.70-0.3.Beta7
✓ integrate review feedback
- 0.70-0.2.Beta7
✓ fix buffer overflows in dispread and iccdump (credits Daniel Berrangé)
- 0.70-0.1.Beta7
✓ 0.70 beta7
➤ initial laborious packaging
✌ Build system from hell untangling by Frédéric Crozat (Mandriva), and me
✌ device permission magic by me
☣ Massively under-tested package, please report problems
